day=$1
day_yes=$(date -d"yesterday $day" +%Y%m%d)

echo "today is: $day"

echo "yesterday is: $day_yes"

MODEL_PATH="/root/spark-data/model/"
SAMPLE_PATH="/dw/recommend/model/share_ratio_samples/"
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
FM_TRAIN="/root/sunmingze/alphaFM/bin/fm_train"


$HADOOP fs -cat ${SAMPLE_PATH}/dt=$day/* | ${FM_TRAIN} -m $MODEL_PATH/model_share_$day.txt -dim 1,1,0 -core 8 -im $MODEL_PATH/model_share_${day_yes}.txt